aboutsummaryrefslogtreecommitdiff
path: root/ci/test/06_script_a.sh
diff options
context:
space:
mode:
authorSjors Provoost <sjors@sprovoost.nl>2019-10-14 23:00:49 +0200
committerSjors Provoost <sjors@sprovoost.nl>2019-10-14 23:00:49 +0200
commit1f6c650c99eb94fdd0cbdd528aa3405201de08c2 (patch)
tree17f9520cf4d995dafe94902119afb13bdf583d55 /ci/test/06_script_a.sh
parent42d0eca725a83c999e2b67e33dfc7bcc96288dc3 (diff)
downloadbitcoin-1f6c650c99eb94fdd0cbdd528aa3405201de08c2.tar.xz
travis: run tests on macOS native
Review hint: git show -w Co-authored-by: MarcoFalke <falke.marco@gmail.com> Co-authored-by: keneanung <keneanung@googlemail.com> Co-authored-by: Vadim Peretokin <vperetokin@gmail.com>
Diffstat (limited to 'ci/test/06_script_a.sh')
-rwxr-xr-xci/test/06_script_a.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/ci/test/06_script_a.sh b/ci/test/06_script_a.sh
index eb6ade7919..c4dc22bdd8 100755
--- a/ci/test/06_script_a.sh
+++ b/ci/test/06_script_a.sh
@@ -20,7 +20,11 @@ fi
END_FOLD
mkdir -p build
+
+# Temporarily disable errexit, because Travis macOS fails without error message
+set +o errexit
cd build || (echo "could not enter build directory"; exit 1)
+set -o errexit
BEGIN_FOLD configure
DOCKER_EXEC ../configure --cache-file=config.cache $BITCOIN_CONFIG_ALL $BITCOIN_CONFIG || ( cat config.log && false)
@@ -30,7 +34,9 @@ BEGIN_FOLD distdir
DOCKER_EXEC make distdir VERSION=$HOST
END_FOLD
+set +o errexit
cd "bitcoin-$HOST" || (echo "could not enter distdir bitcoin-$HOST"; exit 1)
+set -o errexit
BEGIN_FOLD configure
DOCKER_EXEC ./configure --cache-file=../config.cache $BITCOIN_CONFIG_ALL $BITCOIN_CONFIG || ( cat config.log && false)
@@ -43,4 +49,6 @@ BEGIN_FOLD build
DOCKER_EXEC make $MAKEJOBS $GOAL || ( echo "Build failure. Verbose build follows." && DOCKER_EXEC make $GOAL V=1 ; false )
END_FOLD
+set +o errexit
cd ${BASE_BUILD_DIR} || (echo "could not enter travis build dir $BASE_BUILD_DIR"; exit 1)
+set -o errexit